## lbzip2 0.15

=== Makefile ===
# Makefile,v 1.9 2009-04-03 22:33:49 lacos Exp
.POSIX:

CC=gcc
CFLAGS=$$($(SHELL) lfs.sh CFLAGS) -D _XOPEN_SOURCE=500 -pipe -ansi -pedantic \
    -O2




LDFLAGS=-s $$($(SHELL) lfs.sh LDFLAGS)
LIBS=-l pthread -l bz2 $$($(SHELL) lfs.sh LIBS)

lbzip2: main.o lbzip2.o lbunzip2.o lbunzip2_single.o lacos_rbtree.o
	$(CC) -o lbzip2 $(LDFLAGS) main.o lbzip2.o lbunzip2.o \
  lbunzip2_single.o lacos_rbtree.o $(LIBS)

main.o: main.c main.h lbunzip2_single.h lbunzip2.h lbzip2.h
	$(CC) $(CFLAGS) -c main.c

lbzip2.o: lbzip2.c main.h lbzip2.h lacos_rbtree.h
	$(CC) $(CFLAGS) -c lbzip2.c

lbunzip2.o: lbunzip2.c main.h lbunzip2.h lacos_rbtree.h
	$(CC) $(CFLAGS) -c lbunzip2.c

lbunzip2_single.o: lbunzip2_single.c main.h lbunzip2_single.h
	$(CC) $(CFLAGS) -c lbunzip2_single.c

lacos_rbtree.o: lacos_rbtree.c lacos_rbtree.h
	$(CC) $(CFLAGS) -c lacos_rbtree.c

clean:
	rm -f lbzip2 main.o lbzip2.o lbunzip2.o lbunzip2_single.o \
  lacos_rbtree.o

check:
	$(SHELL) test.sh $(TESTFILE)

## lbzip2 0.20

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile,v 1.9 2009-04-03 22:33:49 lacos Exp
+# Makefile,v 1.9 2009/04/03 22:33:49 lacos Exp
 .POSIX:
 
 CC=gcc

=== debian/changelog ===
lbzip2 (0.20-1) unstable; urgency=low

  * New upstream release cleans up theoretical portability problems:
    - don't rely on character constants '1' and '9' being encoded in ASCII,
    - replace non-C89 flexible array members (struct hacks) with ordinary
      pointer dereferences.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Mon, 28 Dec 2009 18:20:33 +0100

lbzip2 (0.19-1) unstable; urgency=low

  * New upstream release checks for most errno macros before relying on them
    (Closes: #559052).

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Tue, 01 Dec 2009 23:25:12 +0100

lbzip2 (0.18-2) unstable; urgency=low

  * Based on Laszlo Boszormenyi's remark in
    http://lists.debian.org/debian-mentors/2009/12/msg00001.html, updated
    compat to reflect debhelper compatibility level (7).
  * Fix consequently appearing "dh-clean-k-is-deprecated" lintian warning:
    replace "dh_clean -k" with "dh_prep" in rules.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Tue, 01 Dec 2009 02:49:31 +0100

lbzip2 (0.18-1) unstable; urgency=low

  * New upstream release:
    - Add sanity checks to both decompressors.
    - Remove input FILE operands.
    - Implement options --keep and --force.
    - Copy file attributes from original to (de)compressed.
    - Add new exit status 4 to signal warnings.
    - (Author eats his own dog-food, replaced bzip2 with lbzip2 on his system.)
  * Author switched to cvsnt from cvs; change date separators from "-" to "/"
    in the substituted $Id$ value in patches/makefile.
  * Adapt line numbers in patches/man-inst-paths to updated manual page.
  * Following Anibal Monsalve Salazar's advice in
    http://lists.debian.org/debian-mentors/2009/11/msg00511.html, convert the
    package to "3.0 (quilt)" and bz2 format:
    - update debhelper build-dependency to >= 7,
    - remove quilt references from control and rules,
    - add source/format and source/options,
    - remove README.source altogether.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Mon, 30 Nov 2009 19:40:24 +0100

lbzip2 (0.17-1) unstable; urgency=low

  * New upstream release fixes possible undefined behavior, reported by Paul
    Wise in http://lists.debian.org/debian-mentors/2009/10/msg00470.html.
  * Adapt the "debian-sanity" target to the new environment variables
    introduced by lbzip2-0.16rc1.
  * Following http://lists.debian.org/debian-mentors/2009/10/msg00470.html:
    - Add -Wall to CFLAGS.
    - Add descriptive headers to the makefile and manual page patches.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Thu, 29 Oct 2009 00:10:46 +0100

lbzip2 (0.16-1) unstable; urgency=low

  * New upstream release:
    - handle signals and problems with input/output files more gracefully,
    - close standard output after (de)compressing to it from file operands.
  * debian/rules: unpatch the source as the last step of the "clean" target, so
    that the package can be built more than once in a row.
  * debian/changelog, debian/control, debian/copyright: refresh e-mail address.
  * Replace version string of previous changelog entry ("0.16rc1-1") with
    "0.16~rc1-1" for correct ordering; thanks to Ruben Molina in
    <6d57146c1ed5d6a38b1320ab63f163c7.squirrel@200.24.17.170>.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Mon, 26 Oct 2009 20:58:46 +0100

lbzip2 (0.16~rc1-1) unstable; urgency=low

  * New upstream release (candidate):
    - (Mostly) bzip2-compatible command-line, e.g. settable compression block
      size, file operands etc. However, lbzip2 never deletes or overwrites
      files it didn't create.
    - Merged eglibc getconf bug workaround (patches/eglibc-getconf) from
      0.15-2.
  * Changed the "bzip2 filter program" substring in the short description to
    "bzip2 utility".
  * Adapted "patches/man-inst-paths" to new upstream manual page.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Wed, 21 Oct 2009 04:48:38 +0200

lbzip2 (0.15-2) unstable; urgency=low

  * Move those patches from the 0.15-1 diff.gz that were modifying upstream
    files ("Makefile" and "lbzip2.1") under debian/patches. Also
    - extend Build-Depends with quilt,
    - after including "quilt.make", make the "build-stamp" target depend on
      $(QUILT_STAMPFN),
    - add "README.source" to make users aware of quilt.
  * Temporarily extend the glibc getconf bug workaround in "lfs.sh" to eglibc
    getconf. Patch will be probably merged in a new upstream version.
  * Update Homepage to lacos.hu.
  * Bump Standards-Version to 3.8.3 from 3.8.1 without any changes, after
    verifying the package against sid's upgrading-checklist.txt.gz.
  * Change the package description according to suggestions by Ben Finney and
    Justin B Rye on the debian-l10n-english mailing list.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Tue, 06 Oct 2009 21:46:04 +0200

lbzip2 (0.15-1) unstable; urgency=low

  * New upstream release. From the upstream ChangeLog:
    - fix a (theoretically occurring) wrongful "premature EOF" error in the
      single-worker decompressor,
    - clean up buffer sizes for IO-friendliness and logical independece,
    - document the derivation of the multiple-workers decompressor's splitter
      block size,
    - enable users to track peak memory usage with "malloc_trace.pl".
  * Follow upstream's change from -O3 to -O2 in "debian/rules".
    - Since lbzip2 is multi-threaded, "-fpredictive-commoning" (enabled at -O3)
      seems scary.
    - See also Don Armstrong's mail <20090217002744.GP25486@rzlab.ucr.edu>
      (http://lists.debian.org/debian-mentors/2009/02/msg00155.html).

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Sun, 05 Apr 2009 22:23:48 +0200

lbzip2 (0.14-1) unstable; urgency=low

  * New upstream release.
  * Modify the following files in order to comply with Standards-Version 3.8.1,
    specifically Debian Policy Manual 4.9.1, "nocheck" build option:
    - Makefile: the "install" target depends on $(INSTDEP) now, instead of the
      fixed "debian-sanity" target.
    - debian/rules: if "nocheck" is absent, make installation depend on


=== debian/control ===
Source: lbzip2
Section: utils
Priority: extra
Maintainer: Laszlo Ersek <lacos@caesar.elte.hu>
Build-Depends: debhelper (>= 7), libbz2-dev, sharutils
Standards-Version: 3.8.3
Homepage: http://lacos.hu/

Package: lbzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast, multi-threaded bzip2 utility
 lbzip2 is a multi-threaded implementation of bzip2, suited for serial and
 parallel processing. On a multi-core computer, lbzip2 is commonly the fastest
 bzip2 decompressor for most bz2 files found on the internet. (On dual-core
 computers, the 7za utility from the p7zip-full package may prove more
 efficient.)
 .
 lbzip2 integrates nicely with GNU tar. Even on single-core computers, lbzip2
 can speed up archiving in combination with tar, because lbzip2 allows
 compression to overlap with disk usage to a greater extent than bzip2 does.

=== debian/rules ===
#!/usr/bin/make -f

# Do not #define NDEBUG in CFLAGS!

export CC      = gcc
export CFLAGS  = $$$$($$(SHELL) lfs.sh CFLAGS) -D _XOPEN_SOURCE=500 -pipe \
  -ansi -pedantic -g3 -Wall
export LDFLAGS = $$$$($$(SHELL) lfs.sh LDFLAGS)
export LIBS    = -l pthread -l bz2 $$$$($$(SHELL) lfs.sh LIBS)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
else
  CFLAGS += -O0
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  export INSTDEP = debian-sanity
else
  export INSTDEP = lbzip2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/lbzip2 install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_installman lbzip2.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

=== debian/watch ===
version=3
http://lacos.web.elte.hu/pub/lbzip2/lbzip2-(.*)\.tar\.gz

## lbzip2 0.23

=== debian/changelog ===
lbzip2 (0.23-1) unstable; urgency=low

  * New upstream release implements process termination with SIGPIPE and
    SIGXFSZ. This matches the traditional UNIX(R) utility behavior more, and
    should improve cooperation with GNU tar.
  * Adapt the "man-inst-paths" patch to the updated manual page.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Wed, 03 Mar 2010 02:47:34 +0100

lbzip2 (0.22-1) unstable; urgency=low

  * New upstream release fixes a SUSv2-nonconformity in the "lfs.sh" build
    script.
  * As Daniel Baumann <daniel@debian.org> advised:
    - remove all prerequisites of "binary-indep" in debian/rules,
    - reformat debian/copyright to a list of "Header: value" pairs.

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Fri, 19 Feb 2010 00:06:08 +0100

lbzip2 (0.21-1) unstable; urgency=low

  * New upstream release fixes a negligible probability race between the muxer
    thread printing an error message due to a write error, and the main thread
    freeing the output file name after catching a SIGINT or SIGTERM. The bug
    was introduced in 0.18-1.
  * Bump Standards-Version to 3.8.4 from 3.8.3. No changes necessary after
    checking unstable's "upgrading-checklist.txt.gz".

 -- Laszlo Ersek <lacos@caesar.elte.hu>  Wed, 17 Feb 2010 23:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Laszlo Ersek <lacos@caesar.elte.hu>
 Build-Depends: debhelper (>= 7), libbz2-dev, sharutils
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://lacos.hu/
 
 Package: lbzip2

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	dh_prep
 	$(MAKE) DESTDIR=$(CURDIR)/debian/lbzip2 install
 
-binary-indep: build install
+binary-indep:
 
 binary-arch: build install
 	dh_testdir

## lbzip2 2.1

=== debian/changelog ===
lbzip2 (2.1-2) unstable; urgency=low

  * debian/control: add Vcs-Git and Vcs-Browser.
  * debian/copyright: Update DEP-5 Format URL.
  * debian/patches/stream-crc: Add patch fixing upstream bug #5.
  * New maintainer. Closes: 651052
  * debian/rules: Add override_dh_builddeb.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Wed, 07 Dec 2011 01:23:29 +0100

lbzip2 (2.1-1) unstable; urgency=low

  * New upstream release; fixes a security vulnerability.
  * debian/control: Simplify description.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Sun, 27 Nov 2011 01:32:04 +0100

lbzip2 (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update description,
    - update maintainer info,
    - bump debhelper dependancy to 8,
    - bump Standards-Version to 3.9.2,
    - add new build dependences (autoconf, automake, gnulib).
  * debian/rules: rewrite from scratch.
  * debian/copyright: rewrite in DEP-5 format.
  * debian/watch: update to githubredir.debian.net.
  * debian/compat: bump to 8.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Sat, 05 Nov 2011 11:55:12 +0100

=== debian/control ===
Source: lbzip2
Section: utils
Priority: extra
Maintainer: Mikolaj Izdebski <zurgunt@gmail.com>
Build-Depends: debhelper (>= 8), gnulib (>= 20110908), autoconf (>= 2.67),
 automake (>= 1.11)
Standards-Version: 3.9.2
Homepage: https://github.com/kjn/lbzip2
Vcs-Git: git://github.com/kjn/lbzip2.git
Vcs-Browser: https://github.com/kjn/lbzip2/tree/debian

Package: lbzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast, multi-threaded bzip2 utility
 lbzip2 is an independent, multi-threaded implementation of bzip2. It is
 commonly the fastest SMP (and uniprocessor) bzip2 compressor and decompressor.
 .
 lbzip2 integrates nicely with GNU tar.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Comment this to turn off verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


build:
	perl build-aux/autogen.sh
	dh $@

clean:
	dh $@
	perl build-aux/autogen.sh -r

# Enable as many compiler warnings as possible.
override_dh_auto_configure:
	dh_auto_configure -- --enable-warnings

override_dh_builddeb:
	dh_builddeb -- -Zbzip2 -z9


%:
	dh $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/kjn/lbzip2 /v(.*)\.tar\.gz

## lbzip2 2.2

=== debian/watch ===
version=3
opts="filenamemangle=s/.*v(.*)$/lbzip2-$1\.tar\.gz/" \
https://github.com/kjn/lbzip2/tags .*/tarball/v(.*)

## lbzip2 2.3

=== debian/changelog ===
lbzip2 (2.3-1) unstable; urgency=low

  * New upstream release:
    - fixed bug which prevented symbolic links to be opened in some
      situations, closes: #700680,
    - fixed several other minor bugs.
  * debian/patches/automake-1.14: Add patch fixing compatibility with
    GNU Automake 1.14; closes: #725516.
  * debian/control:
    - bump Standards-Version to 3.9.4,
    - bump automake build-dependency version to 1.14,
    - bump gnulib build-dependency version to prevent FTBFS,
    - add link to new upstream home site.
  * debian/rules: Enable verbose make output to silence the
    "compiler-flags-hidden" warning.
  * debian/watch: Update to reflect upstream website changes.
  * debian/copyright: Update copyright to new upstream release.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Sun, 13 Oct 2013 23:57:18 +0200

lbzip2 (2.2-2) unstable; urgency=low

  * debian/rules: Add a working build-arch target, closes: #685418.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Mon, 20 Aug 2012 18:59:20 +0200

lbzip2 (2.2-1) unstable; urgency=low

  * New upstream release:
    - limited memory allocation, closes: #645999,
    - improved bzip2 compatibility, closes: #582476,
    - fixed several other minor bugs, closes: #673378.
  * debian/control:
    - drop version requirements on autotools,
    - bump Standards-Version to 3.9.3.
  * debian/copyright:
    - remove comment about maintainers involved in creation of the package,
    - update to reflect new upstream version.
  * debian/rules: execute Bourne shell scripts with sh instead of perl.
  * debian/compat: Bump to 9.
  * debian/watch: Use github.com directly instead of githubredir.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Mon, 20 Aug 2012 07:29:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: utils
 Priority: extra
 Maintainer: Mikolaj Izdebski <zurgunt@gmail.com>
-Build-Depends: debhelper (>= 8), gnulib (>= 20110908), autoconf (>= 2.67),
- automake (>= 1.11)
-Standards-Version: 3.9.2
-Homepage: https://github.com/kjn/lbzip2
+Build-Depends: debhelper (>= 9), gnulib (>= 20130805), autoconf, automake (>= 1.14)
+Standards-Version: 3.9.4
+Homepage: http://lbzip2.org/
 Vcs-Git: git://github.com/kjn/lbzip2.git
 Vcs-Browser: https://github.com/kjn/lbzip2/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,17 @@
 export DH_OPTIONS
 
 
-build:
-	perl build-aux/autogen.sh
+build-arch:
+	sh build-aux/autogen.sh
 	dh $@
 
 clean:
 	dh $@
-	perl build-aux/autogen.sh -r
+	sh build-aux/autogen.sh -r
 
 # Enable as many compiler warnings as possible.
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-warnings
+	dh_auto_configure -- --enable-warnings --disable-silent-rules
 
 override_dh_builddeb:
 	dh_builddeb -- -Zbzip2 -z9

## lbzip2 2.5

=== debian/changelog ===
lbzip2 (2.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Replace obsolete Priority: extra with
    Priority: optional.
  * debian/patches/0001-configure-ac: Bump AC_PREREQ to 2.64.
    This fixes FTBFS with newer gnulib. (Closes: #980655)

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Feb 2021 16:37:24 -0500

lbzip2 (2.5-2) unstable; urgency=low

  * debian/rules: Switch to default dpkg-deb compression
    format, closes: #833252
  * debian/control: Bump Standards-Version to 3.9.8.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Wed, 09 Nov 2016 12:08:17 +0100

lbzip2 (2.5-1) unstable; urgency=low

  * New upstream release:
    - new sequential mode of operation,
    - fixed several major and minor bugs.
  * debian/patches/automake-1.14: Remove patch, upstream has switched
    to Automake 1.14.
  * debian/control: Bump Standards-Version to 3.9.5.
  * debian/copyright: Update copyright to new upstream release.

 -- Mikolaj Izdebski <zurgunt@gmail.com>  Wed, 26 Mar 2014 22:53:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lbzip2
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Mikolaj Izdebski <zurgunt@gmail.com>
 Build-Depends: debhelper (>= 9), gnulib (>= 20130805), autoconf, automake (>= 1.14)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://lbzip2.org/
 Vcs-Git: git://github.com/kjn/lbzip2.git
 Vcs-Browser: https://github.com/kjn/lbzip2/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-warnings --disable-silent-rules
 
-override_dh_builddeb:
-	dh_builddeb -- -Zbzip2 -z9
-
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts="filenamemangle=s/.*v(.*)\.tar\.gz$/lbzip2-$1\.tar\.gz/" \
https://github.com/kjn/lbzip2/tags .*/archive/v(.*)\.tar\.gz
